class ApplicationController < ActionController::Base

  http_basic_authenticate_with name: "stupid", password: "studio"

private

  def set_locale
    I18n.locale = params[:locale].presence_in(I18n.available_locales.map(&:to_s)) || I18n.default_locale
  end


  def not_found
    raise ActionController::RoutingError.new('Not Found')
  end


end
